> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vincular um projeto a uma etapa

> Vincula um projeto a uma etapa do funil



## OpenAPI

````yaml /api-reference/openapi.json post /api/management/funnel-steps/{funnel_step_id}/projects
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/funnel-steps/{funnel_step_id}/projects:
    parameters:
      - name: funnel_step_id
        in: path
        required: true
        description: ID da etapa do funil
        schema:
          type: string
        example: string
    post:
      tags:
        - funnel-steps
        - '{funnel_step_id}'
        - projects
      summary: Vincular um projeto a uma etapa
      description: Vincula um projeto a uma etapa do funil
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  type: string
                  example: d75b593c-0609-42bf-a722-f99ba9a07daf
                  description: ID do projeto
                  format: uuid
                unlink_others:
                  type: boolean
                  example: true
                  description: >-
                    Desvincular projeto das outras etapas do mesmo funil. Use
                    como verdadeiro se estiver tentando mudar o projeto de etapa
                    no funil.
                force_funnel_link:
                  type: boolean
                  example: true
                  description: >-
                    Forçar vínculo do projeto ao funil caso ele não esteja
                    vinculado
              required:
                - project_id
            example:
              project_id: 00000000-0000-0000-0000-000000000000
              unlink_others: true
              force_funnel_link: true
      responses:
        '200':
          description: Projeto vinculado com sucesso
          headers:
            Date:
              schema:
                type: string
              example: Tue, 16 Dec 2025 14:24:13 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Cache-Control:
              schema:
                type: string
              example: private, must-revalidate
            pragma:
              schema:
                type: string
              example: no-cache
            expires:
              schema:
                type: integer
              example: -1
            X-RateLimit-Limit:
              schema:
                type: integer
              example: 160
            X-RateLimit-Remaining:
              schema:
                type: integer
              example: 136
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  project:
                    type: object
                    properties:
                      id:
                        type: string
                      code:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                      impact:
                        type: integer
                      frame_id:
                        type: string
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      customer_id:
                        type: string
                      contact_id:
                        type: integer
                      status:
                        type: integer
                      budget:
                        type: integer
                      is_template:
                        type: boolean
                      created_by:
                        type: string
                      funnels:
                        type: array
                        items: {}
                      funnel_steps:
                        type: array
                        items: {}
                      tags:
                        type: array
                        items: {}
              example:
                response: true
                project:
                  id: 019b277f-e453-733d-a00e-6d26d444008b
                  parent_id: null
                  old_id: null
                  code: P-83
                  name: Laboratório Hawkins
                  description: Companhia de energia
                  impact: 1
                  frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                  created_at: '2025-12-16T14:10:51.000000Z'
                  updated_at: '2025-12-16T14:10:51.000000Z'
                  customer_id: 019b277d-c615-723f-a1dd-f03940bce866
                  contact_id: 12597
                  share_token: null
                  share_settings: null
                  merged_id: null
                  status: 1
                  budget: 950000
                  is_template: false
                  created_by: 019aeaa3-2370-731c-9008-be759795f449
                  deleted_at: null
                  funnels: []
                  funnel_steps: []
                  tags: []
        '401':
          description: Não autorizado
          headers:
            Date:
              schema:
                type: string
              example: Tue, 16 Dec 2025 14:27:44 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Cache-Control:
              schema:
                type: string
              example: private, must-revalidate
            pragma:
              schema:
                type: string
              example: no-cache
            expires:
              schema:
                type: integer
              example: -1
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: unauthorized
                  error:
                    type: string
                    example: Unauthenticated.
              example:
                response: false
                message: unauthorized
                error: Unauthenticated.
        '422':
          description: 'Erro: projeto já vinculado'
          headers:
            Date:
              schema:
                type: string
              example: Tue, 16 Dec 2025 14:28:34 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Cache-Control:
              schema:
                type: string
              example: private, must-revalidate
            X-RateLimit-Limit:
              schema:
                type: integer
              example: 160
            X-RateLimit-Remaining:
              schema:
                type: integer
              example: 159
            pragma:
              schema:
                type: string
              example: no-cache
            expires:
              schema:
                type: integer
              example: -1
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  service:
                    type: string
                  message:
                    type: string
                  error:
                    type: string
                  requirements:
                    type: array
                    items: {}
              example:
                response: false
                service: >-
                  App\Exceptions\Services\ProjectFunnel\FunnelSteps\LinkProjectToFunnelStepException
                message: project_already_linked_to_that_step
                error: The project already is linked with that funnel step
                requirements: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````